New New 3DS firmware question

Discussion in '3DS - Console, Accessories and Hardware' started by Mikemk, Jun 13, 2016.

  1. Mikemk
    OP

    Mikemk GBAtemp Maniac

    Member
    1,487
    519
    Mar 26, 2015
    United States
    If I buy a New 3DS at retail in mid- to late-July, will it come with an exploitable firmware? I'm not interested in pirating 3DS ROMs, so don't need 9.2, but I do want to use and create 3ds mode homebrew.
     
  2. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,782
    1,088
    May 31, 2013
    Belarus
    Caves
    There us no real answer to that, as it's like asking how long is a piece of string. But to answer it anyway, it will most likely be a 10.xx version the most, which you can downgrade, as I don't think 11.0 fw ship at the moment, unless it's a new off the press from factory. You will need Freakyforms deluxe to boot homebrew or a Sky3DS with that rom for Fw 11.0 though. Be willing to pay Scalpy prices for a retail version, if you are not lucky finding a copy on the cheap.
     
  3. Pokéidiot

    Pokéidiot GBAtemp Regular

    Member
    244
    129
    Dec 6, 2015
    Brazil
    \n?
    11.0 has homebrew exploits (and arm11 kernel exploit) but 11.0 broke downgrading. If you are interested in developing 3DS homebrew that makes no difference unless you wanna implement system downgrading functions or anything that requires kernel access.

    — Posts automatically merged - Please don't double post! —

    Also, the console may come with a lower firmware version. Like 10.7 or below.
     
  4. Mikemk
    OP

    Mikemk GBAtemp Maniac

    Member
    1,487
    519
    Mar 26, 2015
    United States
    I bought a used one and got 10.6
     
  5. nero99

    nero99 GBAtemp Advanced Maniac

    Member
    1,861
    839
    Sep 18, 2014
    United States
    all new 2016 models will come on 10.3 or lower. mine came with 9.9
     
  6. gnmmarechal

    gnmmarechal Kirigiri > Naoto

    Member
    GBAtemp Patron
    gnmmarechal is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,477
    2,664
    Jul 13, 2014
    Portugal
    https://gs2012.xyz
    pretty sure the ARM11 exploit was made unusable, and anyway software downgrading on 11.0 will not happen without an ARM9 exploit so.... lel

    wrong. Consoles have been confirmed with 10.5 (the EUR Fire Emblem one, for example).
     
  7. Pokéidiot

    Pokéidiot GBAtemp Regular

    Member
    244
    129
    Dec 6, 2015
    Brazil
    \n?
    Not really. With this you can implement CIA installation (it will work just with signed (legit) CIAs)
     
  8. gnmmarechal

    gnmmarechal Kirigiri > Naoto

    Member
    GBAtemp Patron
    gnmmarechal is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,477
    2,664
    Jul 13, 2014
    Portugal
    https://gs2012.xyz
    I know what an ARM11 exploit allows...

    I'm sure it was made too hard to work properly, and honestly, it's not worth the effort.
     
  9. Pokéidiot

    Pokéidiot GBAtemp Regular

    Member
    244
    129
    Dec 6, 2015
    Brazil
    \n?
    PlaiCDN, Shameless, etc. are there in this case. It download signed titles directly from Nintendo servers, so...
     
  10. Aletron9000

    Aletron9000 3DS Master

    Member
    1,548
    422
    May 10, 2016
    United States
    3DS ARM9 CPU
    Actually, downgrading the 3DS involved installing older legit system cia's (such as NATIVE_FIRM). So, i believe legit cia installation is patched out as well.
     
  11. Pokéidiot

    Pokéidiot GBAtemp Regular

    Member
    244
    129
    Dec 6, 2015
    Brazil
    \n?
    Did you checked 3Dbrew? It blocked downgrading ONLY SYSTEM TITLES.
     
  12. Aletron9000

    Aletron9000 3DS Master

    Member
    1,548
    422
    May 10, 2016
    United States
    3DS ARM9 CPU
    i thought they removed the process svcBackdoor, which is what was used to get ARM11 kernel.
     
  13. Pokéidiot

    Pokéidiot GBAtemp Regular

    Member
    244
    129
    Dec 6, 2015
    Brazil
    \n?
    Well, svcBackdor in fact allows access to another memory regions. For title installing we don't need this
     
  14. ih8ih8sn0w

    ih8ih8sn0w Koreaboo

    Member
    1,655
    715
    Aug 22, 2015
    United States
    Hell
    native_firm now checks for system title versions and prevents something from being installed if it is below that version
     
  15. gnmmarechal

    gnmmarechal Kirigiri > Naoto

    Member
    GBAtemp Patron
    gnmmarechal is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,477
    2,664
    Jul 13, 2014
    Portugal
    https://gs2012.xyz
    Without CFW, it's pointless anyway. Very few games are universally signed.